Bug 1394056 - [RFE] Getting IP Auto-Suggestion via API
Summary: [RFE] Getting IP Auto-Suggestion via API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Amit Karsale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-10 22:27 UTC by Dylan Gross
Modified: 2021-03-11 14:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:36:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
response output from sat6.3 beta VM (42.35 KB, image/png)
2017-08-03 11:37 UTC, Amit Karsale
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9110 0 None None None 2016-11-15 21:26:04 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Dylan Gross 2016-11-10 22:27:42 UTC
1. Proposed title of this feature request

 Create API to get auto-suggestion for IP address from Red Hat Satellite when using Internal DB as IPAM



3. What is the nature and description of the request?

 For provisioning, customer would like to be able to query the suggested IP via the API.   
 

4. Why does the customer need this? (List the business requirements here)

 Querying the suggested IP from the API will allow the customer to pass that value to other parts of their provisioning process


5. How would the customer like to achieve this? (List the functional requirements here)

 By adding an API call to return the suggested IP.


6. For each functional requirement listed in question 5, specify how Red Hat

and the customer can test to confirm the requirement is successfully implemented.

   - Set IPAM as "Internal DB" for a Subnet
   - Use newly created API call to get the IP suggestion, similar to what is returned via the WebUI when a subnet is selected for a host being provisioned.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?

   I do not believe so.
 

8. Does the customer have any specific timeline dependencies?

   No

9. Is the sales team involved in this request and do they have any additional input?

   Yes

10. List any affected packages or components.

   

11. Would the customer be able to assist in testing this functionality if implemented?

   Yes

Comment 2 Ohad Levy 2016-11-15 21:26:01 UTC
Connecting redmine issue http://projects.theforeman.org/issues/9110 from this bug

Comment 3 Bryan Kearney 2016-11-15 23:03:42 UTC
Upstream bug component is API

Comment 4 Bryan Kearney 2016-11-15 23:03:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/9110 has been resolved.

Comment 7 Amit Karsale 2017-08-03 11:37:11 UTC
Created attachment 1308697 [details]
response output from sat6.3 beta VM

Comment 10 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.